Skip to main content

Deployment & Management

Discussion board where members learn more about Qlik Sense Installation, Deployment and Management.

Announcements
CUSTOMERS ONLY: Now accepting customer applications for the 2023 Luminary Program: SUBMIT NOW
cancel
Showing results for 
Search instead for 
Did you mean: 
Srikanth_Shankupuram
Contributor II
Contributor II

Upgrading Qlik Sense Repository Database from PostgreSQL 9.6 to 12.5 not working

Hi,

I am following one of the post for upgrading Postgres 9.6 to 12.5 for scheduler server as given below.
Upgrading Qlik Sense Repository Database from Post... - Qlik Community - 1934238

I installed the QPI setup and ran it according to the steps provided in the community post above on the test scheduler server and the setup showed "Not Applicable".

Server details:

QlikSense May 2021 Patch 16

qliksenseserver: 14.20.25

Please help in providing QPI tool or guidance in order to upgrade Postgres 9.6 to 12.5

 

Labels (1)
1 Solution

Accepted Solutions
Benoit_C
Support
Support

Hello @Srikanth_Shankupuram,

 

With this tool you will need to be in a supported version (Feb 2022).

So you would need to upgrade to Feb 2022 and then you would be able to migrate postgres version.

 

If you do not want to proceed like that, the only solution we could propose is the below:

https://community.qlik.com/t5/Knowledge/Qlik-Sense-May-2021-Upgrade-bundled-PostgreSQL-to-12-5-versi...

 

Regards,

Benoit

View solution in original post

13 Replies
rzenere_techedge
Partner - Specialist
Partner - Specialist

Hey there @Srikanth_Shankupuram ,

Just a clarification: since you are talking about 'scheduler' node, are you in a multi-node environment? Or is your environment composed of a single node?

Riccardo

Srikanth_Shankupuram
Contributor II
Contributor II
Author

Hi,

Its a multinode environment.

Benoit_C
Support
Support

Hello @Srikanth_Shankupuram,

 

Where is installed your postgres Database ?

 

Is it a standalone Postgres database or the bundled PostgreSQL database ?

 

Regards,

Benoit

Srikanth_Shankupuram
Contributor II
Contributor II
Author

So basically I'm doing an activity wherein I'm installing QlikSense May 2021 on new server and taking backup of the old server.

Since the old server has Postgres 9.6, while taking backup of QSRbackup.tar and replacing it on new server. 
There is a pg_restore error on the command prompt, since the new version has Postgres 12.5 on it. 

Hence, I'll have to upgrade Postgres9.6 to 12.5 on the old server and then take backup of QSRbackup.tar and replace it on the new server.

I hope you got my problem area.

rzenere_techedge
Partner - Specialist
Partner - Specialist

The repository is installed only on one node (by default on the central node, but that could change based on your requirements), so on all nodes that are not the one where it is installed the repository, the tool will give you error

Also, note that officially the tool supports Qlik Sense from release February 2022 (so it could work with May 2021, but...)

Srikanth_Shankupuram
Contributor II
Contributor II
Author

Hi Benoit_C,

Postgres 9.6 is installed as part of Qlik install and we have Postgres and Qlik on same machine.

Srikanth_Shankupuram
Contributor II
Contributor II
Author

Hi Rzenere_techedge,

Is there any available solution to upgrade Postgres 9.6 to 12.5 for May 2021 release

rzenere_techedge
Partner - Specialist
Partner - Specialist

Personally I used to follow this kb article: Qlik Sense May 2021 - Upgrade bundled PostgreSQL to 12.5 version
Is re-installation of QS on the central node of the old environment a viable solution for you?

Benoit_C
Support
Support

Hello @Srikanth_Shankupuram,

 

With this tool you will need to be in a supported version (Feb 2022).

So you would need to upgrade to Feb 2022 and then you would be able to migrate postgres version.

 

If you do not want to proceed like that, the only solution we could propose is the below:

https://community.qlik.com/t5/Knowledge/Qlik-Sense-May-2021-Upgrade-bundled-PostgreSQL-to-12-5-versi...

 

Regards,

Benoit